LocalizationControllerStoreLocalizationFile Method

POST /Localization/File/ Stores the contents of the specified localization when sent as a file. This API call expects form files inside the request body.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("File")]
public HttpResponseMessage StoreLocalizationFile(
	string cultureName,
	Guid moduleId,
	string name,
	bool isOverride,
	Nullable<Guid> sessionId = null
)

Parameters

cultureName
Type: SystemString
The name of the culture to store the localization for.
moduleId
Type: SystemGuid
The ID of the module the localization belongs to.
name
Type: SystemString
The name of localization.
isOverride
Type: SystemBoolean
A flag indicating whether or not this is an override.
sessionId (Optional)
Type: SystemNullableGuid
The ID of the session.

Return Value

Type: HttpResponseMessage
A LocalizationInfoData with the result, or a status code indicating the problem.
See Also